#
#
#               OpenPegasus (Red Hat release) RPM .spec file
#
#  tog-pegasus.spec
#
#   Copyright (c) 2000 - 2006, 
#     The Open Group; Hewlett-Packard Development Company, L.P.;
#     IBM Corp.;  BMC Software; Tivoli Systems.
#     Licensed under the "Open Group Pegasus Open Source" license 
#     shipped with this software.
#
#  Upstream tog-pegasus.spec file modified for Red Hat build -
#  April 2006, Jason Vas Dias <jvdias@redhat.com>, Red Hat Inc.
#

%{?!LINUX_VERSION: 		%define LINUX_VERSION  EL4}
#
%{?!PEGASUS_BUILD_TEST_RPM:   	%define PEGASUS_BUILD_TEST_RPM      1}
# do "rpmbuild --define 'PEGASUS_BUILD_TEST_RPM 1'" to build test RPM.
#
%{?!NOCLEAN:     		%define NOCLEAN 0}
# ^- 1: don't do %clean
%{?!NODEBUGINFO: 		%define NODEBUGINFO 0}
# ^- 1: don't generate debuginfo or strip binaries
%if %{NODEBUGINFO}
%define debug_package   %{nil}
%endif
%define srcname    	pegasus
%define pegasus_gid	65
%define pegasus_uid	66

Version: 		2.5.1
#Release: 		5%{?LINUX_VERSION:.%{LINUX_VERSION}}
Release:		6%{?dist}
Epoch:   		2
#
Summary:   		OpenPegasus WBEM Services for Linux
Name:      		tog-pegasus
Group:     		Systems Management/Base
URL:       		http://www.openpegasus.org
#
License:   		Open Group Pegasus Open Source
#
BuildRoot: 		%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
#
Source:    		http://www.openpegasus.org/uploads/40/10123/%{srcname}-%{version}.tar.gz
Source1:		RedHat.OpenPegasus.Makefile
Source2:        	README.RedHat.Security
Source3:		genOpenPegasusSSLCerts
#
Patch1:			pegasus-2.5.1-no-rpath.patch
Patch2:			pegasus-2.5.1-linkflags.patch
Patch3:			pegasus-2.5.1-PIE.patch
Patch4:			pegasus-2.5.1-warnings.patch
Patch5:			pegasus-2.5.1-redhat-config.patch
Patch6:			pegasus-2.5.1-cmpi-provider-lib.patch
Patch7:			pegasus-2.5.1-local-or-remote-auth.patch
Patch8:			pegasus-2.5.1-pam-wbem.patch
Patch9:			pegasus-2.5.1-parallel_make.patch
Patch10:		pegasus-2.5.1-fix_zseries_flags.patch
Patch11:		pegasus-2.5.1-fix_tests.patch
Patch13:		pegasus-2.5.1-obz4934.patch
Patch14:		pegasus-2.5.1-obz4945.patch
Patch15:		pegasus-2.5.1-PATH_MAX.patch
Patch16:		pegasus-2.5.1-HOSTNAME_MAX.patch
Patch17:		pegasus-2.5.1-fix_repupgrade.patch
Patch18:		pegasus-2.5.1-obz4968_upcalls_oop.patch
Patch19:		pegasus-2.5.1-obz4955.patch
Patch20:		pegasus-2.5.1-obz4956.patch
Patch21:		pegasus-2.5.1-obz4978.patch
Patch22:		pegasus-2.5.1-obz4983.patch
Patch23:		pegasus-2.5.1-obz4984.patch
Patch24:		pegasus-2.5.1-obz4986.patch
Patch25:		pegasus-2.5.1-bz193892.patch
Patch26:                pegasus-2.5.1-obz5046.patch
Patch27:                pegasus-2.5.1-obz5047.patch
Patch28:                pegasus-2.5.1-obz5048.patch
Patch29:                pegasus-2.5.1-obz5049.patch
Patch30:                pegasus-2.5.1-obz5053.patch
Patch31:                pegasus-2.5.1-obz5059.patch
Patch32:                pegasus-2.5.1-obz5072.patch
Patch33:                pegasus-2.5.1-obz5083.patch
Patch34:		pegasus-2.5.1-obz5115.patch
Patch35:		pegasus-2.5.1-obz5119.patch
Patch36:		pegasus-2.5.1-obz5073.patch
Patch38:		pegasus-2.5.1-cve-2008-0003.patch
Patch39:		pegasus-2.5.1-cmpi-crash.patch
Patch40:		pegasus-2.5.1-initscript.patch
#
Conflicts: 		openwbem
Provides: 		tog-pegasus-cimserver
#
BuildRequires:      	bash, sed, grep, coreutils, procps, gcc, gcc-c++
BuildRequires:      	libstdc++, make, pam-devel
BuildRequires:      	openssl-devel >= 0.9.6, e2fsprogs
Requires:           	bash, sed, grep, coreutils, procps, openssl >= 0.9.6, pam
Requires:          	redhat-lsb, chkconfig, SysVinit
Requires:           	e2fsprogs, bind-utils, net-tools
Requires(post):     	bash, sed, grep, coreutils, procps, openssl >= 0.9.6, pam
Requires(post):    	redhat-lsb, chkconfig, SysVinit
Requires(post):     	e2fsprogs, bind-utils, net-tools
Requires(pre):      	bash, sed, grep, coreutils, procps, openssl >= 0.9.6, pam
Requires(pre):     	redhat-lsb, chkconfig, SysVinit
Requires(pre):      	e2fsprogs, bind-utils, net-tools
Requires(postun):   	bash, sed, grep, coreutils, procps, openssl >= 0.9.6, pam
Requires(postun):  	redhat-lsb, chkconfig, SysVinit
Requires(postun):   	e2fsprogs, bind-utils, net-tools

%description
OpenPegasus WBEM Services for Linux enables management solutions that deliver
increased control of enterprise resources. WBEM is a platform and resource
independent DMTF standard that defines a common information model and
communication protocol for monitoring and controlling resources from diverse
sources.

%package devel
Summary: 		The OpenPegasus Software Development Kit
Group: 			Systems Management/Base
Requires: 		tog-pegasus >= %{version}
Obsoletes: 		tog-pegasus-sdk
Requires:		make, gcc, gcc-c++
Requires(preun): 	make

%description devel
The OpenPegasus WBEM Services for Linux SDK is the developer's kit for the
OpenPegasus WBEM Services for Linux release. It provides Linux C++ developers
with the WBEM files required to build WBEM Clients and Providers. It also
supports C provider developers via the CMPI interface.

%if %{PEGASUS_BUILD_TEST_RPM}

%package test
Summary: 		The OpenPegasus Tests
Group: 			Systems Management/Base
Requires: 		tog-pegasus >= %{version}, make

%description test
The OpenPegasus WBEM tests for the OpenPegasus %{version} Linux rpm.
%endif

%prep
%setup -q -n %{srcname}
%patch1 -p1 -b .no-rpath
%patch2 -p1 -b .linkflags
%patch3 -p1 -b .PIE
%patch4 -p1 -b .warnings
%patch5 -p1 -b .redhat-config
%patch6 -p1 -b .cmpi-provider-lib
%patch7 -p1 -b .local-or-remote-auth
%patch8 -p1 -b .pam-wbem
%patch9 -p1 -b .parallel-make
%patch10 -p1 -b .fix-zseries-flags
%patch11 -p1 -b .fix-tests
%patch13 -p1 -b .obz4934
%patch14 -p1 -b .obz4945
%patch15 -p1 -b .PATH_MAX
%patch16 -p1 -b .HOSTNAME_MAX
%patch17 -p1 -b .fix_repupgrade
%patch18 -p1 -b .obz4968_upcalls_oop
%patch19 -p1 -b .obz4955
%patch20 -p1 -b .obz4956
%patch21 -p1 -b .obz4978
%patch22 -p1 -b .obz4983
%patch23 -p1 -b	.obz4984
%patch24 -p1 -b .obz4986
%patch25 -p1 -b .bz193892
%patch26 -p1 -b .obz5046
%patch27 -p1 -b .obz5047
%patch28 -p1 -b .obz5048
%patch29 -p1 -b .obz5049
%patch30 -p1 -b .obz5053
%patch31 -p1 -b .obz5059
%patch32 -p1 -b .obz5072
%patch33 -p1 -b .obz5083
%patch34 -p1 -b .obz5115
%patch35 -p1 -b .obz5119
%patch36 -p1 -b .obz5073
%patch38 -p1 -b .cve-2008-0003
%patch39 -p1 -b .cmpi-crash
%patch40 -p1 -b .initscript

%build
rm -rf ${RPM_BUILD_ROOT} || :;
cp -fp %SOURCE1 .;
cp -fp %SOURCE2 doc
cp -fp %SOURCE3 rpm
export RPM_ARCH_LIB=%{_lib}
make %{?_smp_mflags} -f RedHat.OpenPegasus.Makefile;
%if %{PEGASUS_BUILD_TEST_RPM}
    make %{?_smp_mflags} -f RedHat.OpenPegasus.Makefile tests;
%endif

%install
make -f RedHat.OpenPegasus.Makefile install prefix=$RPM_BUILD_ROOT libdir=%{_libdir} root_user=%(%{__id_u} -n) pegasus_user=%(%{__id_u} -n)
%if %{PEGASUS_BUILD_TEST_RPM}
    make -f RedHat.OpenPegasus.Makefile install_tests prefix=$RPM_BUILD_ROOT root_user=%(%{__id_u} -n) pegasus_user=%(%{__id_u} -n)    
%endif
%if %{NODEBUGINFO}
    /usr/lib/rpm/brp-compress;
    exit 0;
%endif
:;

%files
%defattr(0750, root, pegasus, 0750)
%if !%{NODEBUGINFO}
%exclude /usr/lib/debug
%endif
%defattr(0755, root, pegasus, 0755)
/usr/%{_lib}/*
%defattr(0750, root, pegasus, 0750)
/usr/sbin/*
/usr/bin/*
/usr/share/Pegasus/scripts
%defattr(0755, root, pegasus)
%config /etc/rc.d/init.d/tog-pegasus
%defattr(0640, root, pegasus, 0750)
%dir   /etc/Pegasus
%ghost %config(noreplace) /etc/Pegasus/cimserver_current.conf
%ghost %config(noreplace) /etc/Pegasus/cimserver_planned.conf
%config(noreplace) /etc/Pegasus/access.conf
%config(noreplace) /etc/pam.d/wbem
%ghost /etc/Pegasus/ssl.cnf
%ghost /etc/Pegasus/client.pem
%ghost /etc/Pegasus/server.pem
%ghost /etc/Pegasus/file.pem
%ghost /etc/Pegasus/cimserver_trust
%ghost /etc/Pegasus/indication_trust
%ghost /etc/Pegasus/crl
%dir /var/lib/Pegasus
%verify(not md5 size mtime) %attr (0700,root,root) /var/lib/Pegasus/repository
%dir /var/lib/Pegasus/cache
%dir /var/lib/Pegasus/cache/localauth
%dir %attr(0770,root,pegasus) /var/lib/Pegasus/cache/trace
%dir   /var/lib/Pegasus/log
%ghost %verify(not md5 size mtime) /var/lib/Pegasus/log/install.log
%ghost %verify(not md5 size mtime) /var/lib/Pegasus/cache/trace/cimserver.trc
%dir   %attr(1750,root,pegasus) /var/run/tog-pegasus
%ghost /var/run/tog-pegasus/cimserver.pid
%ghost /var/run/tog-pegasus/cimserver_start.lock
%ghost %attr(1640,root,pegasus) /var/run/tog-pegasus/cimxml.socket
%defattr(0644, root, pegasus, 0755)
%dir /usr/share/Pegasus
/usr/share/Pegasus/mof
/usr/share/man/man8/*
/usr/share/man/man1/*
%doc doc/license.txt doc/Admin_Guide_Release.pdf doc/PegasusSSLGuidelines.htm doc/SecurityGuidelinesForDevelopers.html doc/README.RedHat.Security src/Clients/repupgrade/doc/repupgrade.html 

%files devel
%defattr(0644,root,pegasus,0755)
/usr/include/Pegasus
/usr/share/Pegasus/samples
/usr/share/Pegasus/html

%if %{PEGASUS_BUILD_TEST_RPM}
%files test
%defattr(0644,root,pegasus,0755)
%dir /usr/share/Pegasus/test
/usr/share/Pegasus/test/Makefile
/usr/share/Pegasus/test/mak
%verify(not md5 size mtime) /var/lib/Pegasus/testrepository
%defattr(0750,root,pegasus,0755)
/usr/share/Pegasus/test/bin
/usr/share/Pegasus/test/lib
%endif

%clean
%if !%{NOCLEAN}
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf $RPM_BUILD_ROOT;
[ "${RPM_BUILD_DIR}" != "/" ] && rm -rf ${RPM_BUILD_DIR}/%{srcname};
%endif

%pre
if [ $1 -eq 1 ]; then
#  first install: create the 'pegasus' user and group:
   /usr/sbin/groupadd -g %{pegasus_gid} -f -r pegasus >/dev/null 2>&1 || :;
   /usr/sbin/useradd -u %{pegasus_uid} -r -n -M -g pegasus -s /sbin/nologin -d /var/lib/Pegasus \
     	 		   -c "tog-pegasus OpenPegasus WBEM/CIM services" pegasus >/dev/null 2>&1 || :;
elif [ $1 -gt 1 ]; then
   if [ -d /var/lib/Pegasus/repository ]; then
	if [ -d /var/lib/Pegasus/prev_repository ]; then
	   mv /var/lib/Pegasus/prev_repository /var/lib/Pegasus/prev_repository_`date '+%Y-%m-%d-%s.%N'`.rpmsave;
	fi;
	mv /var/lib/Pegasus/repository /var/lib/Pegasus/prev_repository;
   fi
fi
:;

%post
ldconfig;
chkconfig --add tog-pegasus;
if [ $1 -eq 1 ]; then
   echo `date` >  /var/lib/Pegasus/log/install.log 2>&1
elif [ $1 -gt 1 ]; then	
   echo `date` >>  /var/lib/Pegasus/log/install.log 2>&1 || :;
   if [ -d /var/lib/Pegasus/prev_repository ]; then
   #  The user's old repository was moved to /var/lib/Pegasus/prev_repository, which 
   #  now must be upgraded to the new repository in /var/lib/Pegasus/repository:
	/usr/sbin/repupgrade 2>> /var/lib/Pegasus/log/install.log || :;
        mv /var/lib/Pegasus/prev_repository /var/lib/Pegasus/prev_repository_`date '+%Y-%m-%d-%s.%N'`.rpmsave;
   fi;
   /sbin/service tog-pegasus condrestart >/dev/null 2>&1 || :;
fi
:;

%preun
if [ $1 -eq 0 ]; then
   /sbin/service tog-pegasus stop >/dev/null 2>&1 || :;
   /sbin/chkconfig --del tog-pegasus >/dev/null 2>&1 || :;
fi
:;

%postun
ldconfig

%preun devel
if [ $1 -eq 0 ] ; then
   make --directory /usr/share/Pegasus/samples -s clean >/dev/null 2>&1 || :;
fi
:;

%changelog
* Thu Feb  7 2008 Vitezslav Crhonek <vcrhonek@redhat.com> 2:2.5.1-6
- Fix PAM authentication buffer overflow (CVE-2008-0003)
  Resolves: #427212
- Fix CMPI crash
  Resolves: #248555
- Fix wrong return code from init script
  Resolves: #325511

* Tue Aug 21 2007 Vitezslav Crhonek <vcrhonek@redhat.com> 2:2.5.1-5.EL4
- Fix init script

* Fri Aug  3 2007 Vitezslav Crhonek <vcrhonek@redhat.com> 2:2.5.1-4.EL4
- Fix files in /var/lib/Pegasus should be marked as noverify in spec file
  Resolves: #250602

* Tue Jul 17 2007 Vitezslav Crhonek <vcrhonek@redhat.com> 2:2.5.1-3.EL4
- Fix wrong init script, fix init script is not world readable
  Resolves: #245337, #250082

* Mon Jun 12 2006 Jason Vas Dias <jvdias@redhat.com> - 2:2.5.1-2.EL4
- fix bug 194429 / upstream 2.5.2_APPROVED bug 5073
- fix bug 194896 raised for upstream bugs listed below

* Wed Jun 07 2006 Jason Vas Dias <jvdias@redhat.com> - 2:2.5.1-2.EL4
- More upstream 2.5.2_APPROVED bug fixes:
  o 5119: memory leak in CMPI implementation
  o 5115: fix SetConfig_EnvVar comments
- fix bug 194378: merge in changelog from 2.4.1

* Mon Jun 05 2006 Jason Vas Dias <jvdias@redhat.com> - 2:2.5.1-2.EL4
- Fix bug 193892: make SDK makefile create libraries with correct SELinux context
- Fix bug 193919: make /var/lib/Pegasus/cache/trace directory have mode 777
- Fix bug 192921: make /var/lib/Pegasus/repository directory 
	          owned by root:root, mode 0700

* Wed May 31 2006 Jason Vas Dias <jvdias@redhat.com> - 2:2.5.1-2.EL4
- Apply upstream patches for latest 2.5.2_APPROVED bugs:
  o 5046: cimprovider timeout needs to be increased
  o 5047: cimmof timeout needs to be increased
  o 5048: Invalid Pointer in CIMOperationRequestEncoder code
  o 5049: Unnecessary dependency on experimental headers
  o 5051: Improved handling of OOP indication provide module failures
  o 5053: reserveCapacity method may cause size overflow
  o 5059: XMLWriter does not escape '>' in strings
  o 5072: Potential race condition with OOP response chunks
  o 5083: CIMRequestMessage buildResponse() should be const
- Fix bug 193121: restore world read access to libraries   

* Tue May 02 2006 Jason Vas Dias <jvdias@redhat.com> - 2:2.5.1-1.EL4
- fix bug 190432: %exclude /usr/%{_lib}/debug from RPM
- fix upstream OpenPegasus '2.5.2_APPROVED' bugs, applying upstream patches:
  o 4955 : Bogus Description property for OperatingSystem provider
  o 4956 : reserveCapacity method may cause size overflow on invalid input
  o 4968 : CMPI provider up-calls cause failure with out-of-process
  o 4978 : snmpDeliverTrap_netsnmp::_createSession function is not thread safe
  o 4983 : Memory leak in OOP indication generation
  o 4984 : Forked process hangs in system call
  o 4986 : Adding automated test for snmpIndication Handler
  (  http://cvs.opengroup.org/bugzilla/show_bug.cgi?id=? )

* Mon May 01 2006 Jason Vas Dias <jvdias@redhat.com> - 2:2.5.1-1.EL4
- restore PEGASUS_DISABLE_CQL=true, as sblim-cmpi-base no longer requires 
  CQL to be enabled, and OpenPegasus steering committee requested it
- apply upstream update to 'pegasus-2.5.1-warnings.patch' 

* Mon Apr 17 2006 Jason Vas Dias <jvdias@redhat.com> - 2:2.5.1-3
- Fix repupgrade (make it use correct paths)

* Fri Apr 14 2006 Jason Vas Dias <jvdias@redhat.com> - 2:2.5.1-2
- Apply patches for the two '2.5.2_APPROVED' upstream bugzillas 
  4934(4943) and 4945 :
  (http://cvs.opengroup.org/bugzilla/buglist.cgi?bug_id=4943%2C4945)
- Fix the PATH_MAX and MAXHOSTNAMELEN issues (again)

* Thu Apr 06 2006 Jason Vas Dias <jvdias@redhat.com> - 2:2.5.1-1
- Upgrade to version 2.5.1 (including new upstream .spec file).

* Tue Mar  7 2006 Bill Nottingham <notting@redhat.com> - 2:2.5-9
- use an assigned uid/gid, do not loop over user ids looking for a free one

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 2:2.5-6.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jason Vas Dias <jvdias@redhat.com> - 2:2.5-6
- restore SSLv23_method SSL support now that bug 173399 is fixed
- rebuild for new gcc, glibc, glibc-kernheaders
- PAMBasicAuthenticatorUnix.cpp includes no longer include syslog.h: add
- /usr/bin/install now decides to fail if chown fails - set $INSTALL_USER, $INSTALL_GROUP

* Thu Dec 15 2005 Jason Vas Dias <jvdias@redhat.com> - 2:2.5-5
- fix bug 175434 : deal with pegasus uid/gid already existing
  on first install

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com> - 2:2.5-4.1
- rebuilt

* Wed Nov 16 2005 Jason Vas Dias <jvdias@redhat.com> - 2:2.5-4
- fix bug 173401: SSL support broken by openssl-0.9.7g -> 0.9.8a upgrade 

* Wed Nov 16 2005 Jason Vas Dias <jvdias@redhat.com> - 2.4.1-4.5.rhel4
- fix bug 172623: memory leak in SSLContext.cpp
- fix bug 171669: chmod 640 /etc/Pegasus/access.conf
- fix bug 171124: used reserved numeric userid < 500 for pegasus user

* Wed Nov 09 2005 Jason Vas Dias <jvdias@redhat.com> - 2:2.5-3
- Rebuild for new openssl dependencies
- Enable CMPI support for sblim-cmpi-base with ENABLE_CQL=true

* Mon Oct 31 2005 Jason Vas Dias <jvdias@redhat.com> - 2:2.5-2
- Add /usr/lib/cmpi alternate providerLibDir for sblim-cmpi-base Fedora Extras pkg
- Fix bug 171124: use numeric ids for pegasus user/group
- guidelines: do not remove pegasus user/group in %%postun.

* Fri Oct 14 2005 Tomas Mraz <tmraz@redhat.com>
- use include instead of pam_stack in pam config

* Fri Sep 30 2005 Jason Vas Dias <jvdias@redhat.com> - 2:2.5-1
- Implemented new 'make install' target.
- Re-wrote tog-pegasus.spec file from scratch.
- Ported BZ 167986 authentication code and BZ 167164 + BZ 167165 fixes from RHEL-4

* Wed Sep 28 2005 Jason Vas Dias <jvdias@redhat.com> - 2:2.5-0
- Initial build from 2.5.0 source & new .spec file

* Tue Sep 20 2005 Jason Vas Dias <jvdias@redhat.com> - 2.4.1-4.4.rhel4
- fix bug 168836: spec file issues:
  o add missing Requires({,pre,post,postun,preun})
  o generate SSL certificates in initscript, with genSSLcerts script, not in %post
  o use 'cimserver stop' instead of manual shutdown in %postun
  o do not 'mkdir' or 'rm -rf' in any scriptlet
  o replace potential use of redhat-lsb with chkconfig
- fix upstream bug 4145: Failure on cimserver shutdown

* Fri Sep 10 2005 Jason Vas Dias <jvdias@redhat.com> - 2.4.1-4.2.rhel4
- fix bug 167986:
  o Add pam_access control
  o Distinguish between remote and local users for authentication
  o Create default pegasus user
  o Only pegasus user is allowed to connect from remote hosts by default
  o remove use of separate cimservera PAM authentication process 
    (plaintext passwords were being sent over its pipe)
- fix bug 167987:
  o developed and tested pegasus_t policy in selinux-policy-targeted-1.17.30-2.110+
- make /etc/pam.d/wbem not /lib directory specific (lib64)

* Fri Sep 02 2005 Jason Vas Dias <jvdias@redhat.com> - 2.4.1-4.1.rhel4
- .spec file changes to prevent files remaining after rpm erase
 
* Thu Sep 01 2005 Jason Vas Dias <jvdias@redhat.com> - 2.4.1-4.rhel4
- fix bug 167161: put all libraries into %{_libdir}, not /lib
- fix bug 167162: use internal pthread_cleanup_{push,pop} routines
- fix bug 167163: correct pam Requires and pam-devel BuildRequires 
- fix bug 167164: remove potential buffer overflows with gethostbyname
- fix bug 167165: remove potential buffer overflow in System::extract_file_path
- Upstream bug patches applied, as agreed with bug committee,
  which have been tested by HP and IBM and submitted to 2.4.2 -
  see http://cvs.rdg.opengroup.org/bugzilla/buglist.cgi?&keywords=2.4.2_approved :
2207 CIMOMHandle drops InvokeMethod request
2217 Interrupts improperly handled in Unix Semaphore implement...
2499 Initial Provider load/initialize is not thread safe.
2503 IndicationHandlerService::_lookupHandlerForClass() not th...
3416 SDK sample build fails on x86_64 2.4 rpm
3858 _subscriptionClassesTable not threadsafe
3958 cimserver crashs after many indications delivered
4004 cimserver crash in MessageQueueService after running for ...
4009 Double close causes EBADF ("Bad file descriptor") failures
4014 host name validation in CIMObjectPathRep::isValidHostname...
4023 Assignment operators should return object references
4025 Thread class uses internal pthread functions
4027 SSLCallbackInfo class does not declare a copy constructor...
4028 CIMInstance::buildPath assumes key properties are specified
4029 Add TestIndicationStressTest to 2.4-branch
4042 TestIndicationStressTest not enabled in 2.4 branch.
4050 Compile warning building SDK packaged consumer.
4072 ThreadPool Test Failure - 2.4 version of Bug 2239
4103 Timing window where in MessageQueue Service - Could cause...
4120 HTTPConnection _handleReadEvent should complete connectio...
4126 On shutdown, cimom::routing_proc loops attempting to send...

* Wed Aug 17 2005 Jason Vas Dias <jvdias@redhat.com> - 2.4.1-2.rhel4
- fix bug 165805: change location from /opt root to / root
                  cimserver not running by default
		  rename 'sdk' package 'devel' package
                  compile all executables with ExecShield
- fix bug 165880: no logging during post scriptlet
                  no postun scriptlets do 'rm -rf'
		  added Requires(post) 
		  moved symlinks into -devel package 
- further fix for bug 165770: cimserver no longer stores socket in subdirectory

* Fri Aug 12 2005 Jason Vas Dias <jvdias@redhat.com> - 2.4.1-2
- fix bug 165805: remove 'echo's after initscript's use of redhat-lsb's
  log_success_msg / log_failure_msg functions.
- fix bug 165770: make initscript stop do 'rm -rf /var/run/tog-pegasus'

* Thu May 05 2005 Jason Vas Dias <jvdias@redhat.com> - 2.4.1-1
- Import of tog-pegasus-2.4.1.Beta-3 .
- Change .spec file to not build and install test RPM by default.
  You need to build and install RPMs with --define 'WITH_TEST 1'
  to get test rpm.
- Add condrestart option to initscript - invoke condrestart on upgrade.
- Re-Enable PPC64 support
